sample2.cpp File Reference

Example: bvector<> set algebra operations AND, OR, XOR, etc. More...

`#include <iostream>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample2.cpp:

Go to the source code of this file.

## Functions

static void | print_bvector (const bm::bvector<> &bv)
int | main (void)

## Detailed Description

Example: bvector<> set algebra operations AND, OR, XOR, etc.

Definition in file sample2.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 55 of file sample2.cpp.

References bm::bvector< Alloc >::compare(), bm::bvector< Alloc >::find(), bm::bvector< Alloc >::find_first_mismatch(), print_bvector(), and bm::bvector< Alloc >::set().

## print_bvector()

void print_bvector | ( | const bm::bvector<> & | bv | ) |

static

Examples
  bvsetalgebra.cpp, sample2.cpp, svsample05.cpp, and svsample06.cpp.

Definition at line 36 of file sample2.cpp.

References bm::bvector< Alloc >::get_first(), and bm::bvector< Alloc >::get_next().

Referenced by main().